program icz17_UseDLL_02;

uses
  Windows,
  Messages,
  Intrface in '..\Intrface.pas';

const
  LibName          = 'icz17_DLLSkeleton.dll';
  FunctionName     = 'TestHello';
  DllNotFound      = 'Cannot load library';
  AppName          = 'Load Library';
  FunctionNotFound = 'TestHello function not found';

var
  hLib         : THandle;
  TestHelloAddr: TFNTestHello;

begin
  hLib := LoadLibrary(LibName);
  if hLib = 0 then
    MessageBox(0, DllNotFound, AppName, MB_OK)
  else begin
    TestHelloAddr := GetProcAddress(hLib, FunctionName);
    if not Assigned(TestHelloAddr) then
      MessageBox(0, FunctionNotFound, AppName, MB_OK)
    else
      TestHelloAddr;
    FreeLibrary(hLib);
  end;
end.