library icz17_DLLSkeleton;

uses
  Windows;

const
  AppName         = 'DLL Skeleton';
  HelloMsg        = 'Hello, you''re calling a function in this DLL';
  LoadMsg         = 'The DLL is loaded';
  UnloadMsg       = 'The DLL is unloaded';
  ThreadCreated   = 'A thread is created in this process';
  ThreadDestroyed = 'A thread is destroyed in this process';

procedure TestHello; stdcall;
begin
  MessageBox(0, HelloMsg, AppName, MB_OK);
end;

procedure DllEntry(reason: DWORD);
begin
  case reason of
    DLL_PROCESS_ATTACH:
      MessageBox(0, LoadMsg, AppName, MB_OK);
    DLL_PROCESS_DETACH:
      MessageBox(0, UnloadMsg, AppName, MB_OK);
    DLL_THREAD_ATTACH:
      MessageBox(0, ThreadCreated, AppName, MB_OK);
    DLL_THREAD_DETACH:
      MessageBox(0, ThreadDestroyed, AppName, MB_OK);
  end;
end;

exports
  TestHello;

begin
  DllProc := @DllEntry;
  DllEntry(DLL_PROCESS_ATTACH);
end.